
QGIS Application - Bug report #7423

"check geometry validity" crashes qgis

2013-03-22 10:05 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 16386

Description

When using sextante, if a vector output is saved as a shape (in opposition to the choice to let sextante create a temp file) it can be

automatically be added to the project at the end of the operation. This is added to the legend with the username plus the .shp extension.

if I run the "check geometry validity" on this layer, qgis crashes. If I add this layer as usual, and try the tool then qgis does not crash.

Tested on master/windows.

EDIT:

it does not seems the above case, it happens often when I have a bunch of layers loaded, regardless the origin. If I open again qgis and

load the layer, the tool work ok.

History

#1 - 2013-03-22 10:27 AM - Giovanni Manghi

- File inter.zip added

it does not seems to be a rule... anyway you can try the attached vectors and do with sextante a "polygon intersection".

#2 - 2013-04-12 10:13 PM - maning sambale

@Giovanni Manghi, I cannot reproduce the crash using you inter.zip data.  Everything worked as expected.  I have several data loaded both from the temp

layers created by Sextante and other sources.

System: Ubuntu precise latest nightly build.

#3 - 2013-04-14 10:17 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

I cleaned my installation by deleting the Quantum Gis folder in .config and now I'm not able to get the crash anymore.

#4 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
Files

inter.zip 875 KB 2013-03-22 Giovanni Manghi
